package com.diagbot.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 缺陷反馈表
 * </p>
 *
 * @author songxl
 * @since 2022-04-21
 */
@Getter
@Setter
public class MedDefectFeedback implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 住院科室ID
     */
    private String deptId;

    /**
     * 住院科室名称
     */
    private String deptName;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 条目ID
     */
    private Long casesEntryId;

    /**
     * 提示信息
     */
    private String qcresultDetailMsg;

    /**
     * 人工修改分值
     */
    private BigDecimal qcresultDetaiScore;

    /**
     * 模块id
     */
    private Long modeId;

    /**
     * 模块名称
     */
    private String modeName;

    /**
     * 反馈说明
     */
    private String explainInfo;

    /**
     * 操作类型 1:修改|2:删除|3:新增已有|4:新增缺失|5:恢复
     */
    private String operationType;

    /**
     * 发送人编号
     */
    private String senderCode;

    /**
     * 发送人姓名
     */
    private String senderName;

    /**
     * 接收人编号
     */
    private String receiverCode;

    /**
     * 接收人姓名
     */
    private String receiverName;

    /**
     * 抄送人编号集合
     */
    private String ccCodes;

    /**
     * 抄送人姓名集合
     */
    private String ccNames;

    /**
     * 状态 0:待确认|1:已确认
     */
    private String status;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;


}
