package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @Description:缺陷反馈-人工操作病历
 * @author: songxl
 * @time: 2022/4/21 10:03
 */
@Getter
@Setter
public class ChangeQcResultVO {
    @ApiModelProperty(value = "病历id", required = true)
    @NotBlank(message = "病历编号为空")
    private String behospitalCode;

    @ApiModelProperty(value = "医院ID", hidden = true)
    private Long hospitalId;

    @ApiModelProperty(hidden = true)
    private Integer type;

    @ApiModelProperty("逻辑删除接口（1-恢复和0-删除）标志")
    private Integer delStatus;

    @ApiModelProperty(value = "模块id")
    private Long modeId;

    @ApiModelProperty(value = "模块名称")
    private String modeName;

    @ApiModelProperty(value = "反馈说明")
    private String explainInfo;

    @ApiModelProperty(value = "操作类型 1:修改|2:删除|3:新增已有|4:新增缺失|5:恢复", required = true)
    @NotBlank(message = "操作类型为空")
    private String operationType;

    @ApiModelProperty(value = "接收人编号", required = true)
    @NotBlank(message = "接收人编号为空")
    private String receiverCode;

    @ApiModelProperty(value = "接收人姓名", required = true)
    @NotBlank(message = "接收人姓名为空")
    private String receiverName;

    @ApiModelProperty(value = "抄送人集合", required = true)
    @NotEmpty(message = "抄送人集合为空")
    private List<CCVO> ccs;

    @ApiModelProperty(value = "操作条目 casesEntryId、msg、score必填-（新增缺失除外）")
    private QcResultAlgVO optResultAlgVO;
}
