package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.his.DoctorHosDTO;
import com.diagbot.facade.his.DoctorHosFacade;
import com.diagbot.vo.his.DoctorHosVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author zhanghang
 * @since 2022-04-20
 */
@RestController
@RequestMapping("/qcView/data")
@Api(value = "HIS视图接口API", tags = { "HIS视图接口API" })
public class DataViewController {

    @Autowired
    private DoctorHosFacade doctorHosFacade;

    @ApiOperation(value = "获取HIS医生信息")
    @PostMapping("/getDoctorHos")
    @SysLogger("getDoctorHos")
    public RespDTO<List<DoctorHosDTO>> getDoctorInfo(@RequestBody DoctorHosVO doctorHosVO){
        return RespDTO.onSuc(doctorHosFacade.getDoctorInfo(doctorHosVO));
    }

}
